"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.build_env_scope = void 0;
function build_env_scope(conf) {
    const whitelist = conf.templates?.env ?? [];
    const scope = Object.create(null);
    for (const variable of whitelist) {
        scope[variable] = process.env[variable];
    }
    return scope;
}
exports.build_env_scope = build_env_scope;
//# sourceMappingURL=env.js.map