import { Config } from './conf';
import { ColorTheme } from '@doc-utils/color-themes';
export declare function load_themes(conf: Config): Promise<Record<string, ColorTheme>>;
export declare function load_theme(conf: Config, name: string): Promise<ColorTheme>;
export declare function load_local_theme(conf: Config, name: string): Promise<ColorTheme>;
export declare function render_theme_css_properties(theme: ColorTheme): string;
