"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.icons = void 0;
exports.icons = Object.create(null);
const whitespace = /[\s\t\n]+/g;
const feather_icons = require('../vendor/feather-icons/icons.json');
for (const [name, contents] of Object.entries(feather_icons)) {
    exports.icons[name] = `
	<svg xmlns="http://www.w3.org/2000/svg"
		class="icon ${name}"
		aria-hidden="true"
		style="width: var(--icon-size, 1rem); height: var(--icon-size, 1rem)"
		viewBox="0 0 24 24"
		fill="none"
		stroke="currentcolor"
		stroke-width="2"
		stroke-linecap="round"
		stroke-linejoin="round"
	>${contents}</svg>
	`.replace(whitespace, ' ').trim();
}
Object.freeze(exports.icons);
//# sourceMappingURL=icons.js.map